<!--
    Generated template for the Player page.

    See http://ionicframework.com/docs/components/#navigation for more info on
    Ionic pages and navigation.

    style="background: #141e30; /* fallback for old browsers */
    background: -webkit-linear-gradient(to top, #000,#cb356b, #bd3f32); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000,#cb356b, #bd3f32);text-align: center"
-->

<div class="background-image" [style.backgroundImage]="'url(' + musicservice.audio.tracks[0].art + ')'"></div>
<!-- New Albums -->

<div class='div_top' [ngClass]="{'nowplaying':playlist}">
  <button (click)="back()" ion-button clear icon-only>
    <ion-icon name="arrow-down"></ion-icon>
  </button>
  <button *ngIf='!playlist' (click)="lyrics()" ion-button icon-only>
    <span class='lyrics'>LYRICS</span>
  </button>
</div>
<ion-content [hidden]="playlist || !md.full" style="text-align: center">
  <ion-row style="height:100%">
    <ion-col col-6 style="text-align: center;height: 100%">
      <ion-row (swipe)="swipePlay($event)" style="height: 100%">
        <ion-col col-12 style="text-align: center;height: 100%;position: relative">
          <ion-icon (click)="playVideo()" *ngIf="musicservice.playingTrack.video" class="videologos" name="logo-youtube"></ion-icon>

          <!-- <img class="shadow" style="height: 100%" src="{{musicservice.playingTrack.art}}" /> -->
          <img-loader useImg class='shadow' src="{{musicservice.playingTrack.art}}"></img-loader>
        </ion-col>
      </ion-row>
    </ion-col>

    <ion-col col-6 style="text-align: center;height: 100%">
      <ion-row style="height:58%">
        <ion-col col-12 style="text-align: center">
          <h5 class="shadowt first" style="text-overflow: ellipsis;overflow: hidden;color:white;font-weight:bold">
            {{musicservice.playingTrack.title}}
          </h5>

          <br />
          <h6 class="shadowt second" style="text-overflow: ellipsis;overflow: hidden;color:azure">
            {{ musicservice.playingTrack.artist }}
            <span *ngIf="musicservice.playingTrack.collaborations"> &
              <span *ngFor="let collabo of musicservice.playingTrack.collaborations "> {{collabo.name }}</span>
            </span>
            <span *ngIf="musicservice.playingTrack.featuring">ft:
              <span *ngFor="let ft of musicservice.playingTrack.featuring "> {{ft.name }}</span>
            </span>

          </h6>
        </ion-col>

        <ion-col col-6 style="text-align: center">
          <button (click)="musicservice.favorite()" *ngIf="!musicservice.isFav()" ion-button clear style="color:white" icon-only>
            <ion-icon name="heart-outline"></ion-icon>{{ musicservice.likeNum }}
          </button>
          <button (click)="musicservice.unFavorite()" *ngIf="musicservice.isFav()" ion-button clear style="color:#bd3f32;" icon-only>
            <ion-icon name="heart"></ion-icon>{{ musicservice.likeNum }}
          </button>
        </ion-col>

        <ion-col col-6 style="text-align: center">
          <button (click)="action()" ion-button clear style="color:white" icon-only>
            <ion-icon name="more"></ion-icon>
          </button>
        </ion-col>
      </ion-row>

      <ion-row style="height:20%">
        <ion-col col-12>
          <audio-track-progress-bar progress duration [audioTrack]="musicservice.audio.tracks[0]" style="color:white;text-transform: none;">
          </audio-track-progress-bar>
        </ion-col>
      </ion-row>

      <ion-row style="height:20%">
        <ion-col col-3 style="text-align: center">
          <button (click)="musicservice.toggleShuffle()" *ngIf="musicservice.shuffle" ion-button clear style="color:#bd3f32" icon-only
            class='icon_shuffle'>
            <ion-icon name="ios-shuffle"></ion-icon>
          </button>
          <button (click)="musicservice.toggleShuffle()" *ngIf="!musicservice.shuffle" ion-button clear style="color:white;text-transform: none;"
            icon-only>
            <ion-icon name="ios-shuffle"></ion-icon>
          </button>
        </ion-col>

        <ion-col col-2 style="text-align: center">
          <button (click)="musicservice.prev()" ion-button clear style="color:white;text-transform: none;" icon-only>
            <ion-icon name="skip-backward"></ion-icon>
          </button>
        </ion-col>

        <ion-col col-2 style="text-align: center">
          <audio-track-play class="large" [audioTrack]="musicservice.audio.tracks[0]" style="font-size: 150%">
          </audio-track-play>
        </ion-col>

        <ion-col col-2 style="text-align: center">
          <button (click)="musicservice.next()" ion-button clear style="color:white" icon-only>
            <ion-icon name="skip-forward"></ion-icon>
          </button>
        </ion-col>

        <ion-col col-3 style="text-align: center">
          <button (click)="musicservice.toggleRepeat()" class='icon_repeat' *ngIf="musicservice.repeat == 0" ion-button clear style="color:white"
            icon-only>
            <ion-icon name="ios-repeat"></ion-icon>
          </button>

          <button (click)="musicservice.toggleRepeat()" class='icon_repeat' *ngIf="musicservice.repeat == 1" ion-button clear style="color:#bd3f32"
            icon-only>
            <ion-icon name="ios-repeat"></ion-icon>
          </button>

          <button (click)="musicservice.toggleRepeat()" class='icon_repeat' *ngIf="musicservice.repeat == 2" ion-button clear style="color:#bd3f32"
            icon-only>
            1
            <ion-icon name="ios-repeat"></ion-icon>
          </button>
        </ion-col>
      </ion-row>
    </ion-col>
  </ion-row>
</ion-content>

<!-- start -->
<!-- New Songs -->

<ion-content [hidden]="playlist || md.full" style="text-align: center">
  <ion-row style="height:60%" (swipe)="swipePlay($event)">
    <ion-col col-12 style="text-align: center;height: 100%;position: relative; padding:0px;">
      <!-- <img class="shadow" style="height: 100%" src="{{musicservice.playingTrack.art}}" /> -->
      <img-loader useImg class='shadow fullwidth' src="{{musicservice.playingTrack.art}}"></img-loader>
    </ion-col>
  </ion-row>

  <div class='div_title'>
    <button ion-button block clear class='button_title' (click)="gotoalbum()">
      <div class='marquee' *ngIf='musicservice.playingTrack.title.length>=20'>
        <div style='font-size:22px;font-weight:bold'>{{ musicservice.playingTrack.title }}</div>
        <div style='font-size:22px;font-weight:bold'>{{ musicservice.playingTrack.title }}</div>
      </div>
      <span class="shadowt third" *ngIf='musicservice.playingTrack.title.length<20' style="font-weight:bold">
        {{ musicservice.playingTrack.title }}
      </span>
    </button>
    <div class='right_buttons'>
      <button (click)="playVideo()" *ngIf="musicservice.playingTrack.video" ion-button clear style="color:white" icon-only>
        <ion-icon class="videologo" name="logo-youtube"></ion-icon>
      </button>
      <button (click)="musicservice.favorite()" *ngIf="!musicservice.isFav()" ion-button clear style="color:white" icon-only>
        <ion-icon name="heart-outline"></ion-icon>
        <!-- {{ musicservice.likeNum }} -->
      </button>
      <button (click)="musicservice.unFavorite()" *ngIf="musicservice.isFav()" ion-button clear style="color:#faa74a" icon-only>
        <ion-icon name="heart"></ion-icon>
      </button>
    </div>
  </div>
  <div class='div_artist'>
    <button ion-button block clear style="color:white;text-transform: none;" (click)="gotoartist()">
      <span style="text-overflow: ellipsis;overflow: hidden;color:azure">
        <span class='a_name'>{{ musicservice.playingTrack.artist }}</span>
        <ion-icon name='ios-arrow-forward'></ion-icon>
        <span *ngIf="musicservice.playingTrack.collaborations"> &
          <span *ngFor="let collabo of musicservice.playingTrack.collaborations"> {{collabo.name}}</span>
        </span>
        <span *ngIf="musicservice.playingTrack.featuring">ft:
          <span *ngFor="let ft of musicservice.playingTrack.featuring"> {{ft.name }}</span>
        </span>
      </span>
    </button>
  </div>

  <ion-row style="height:7%">
    <ion-col col-12>
      <audio-track-progress-bar progress duration [audioTrack]="musicservice.audio.tracks[0]" style="color:white">
      </audio-track-progress-bar>
    </ion-col>
  </ion-row>

  <ion-row class='play_buttons' style="height:20%">
    <ion-col col-3 style="text-align: center">
      <button (click)="musicservice.toggleShuffle()" *ngIf="musicservice.shuffle" ion-button clear style="color:#faa74a" icon-only>
        <ion-icon name="ios-shuffle"></ion-icon>
      </button>
      <button (click)="musicservice.toggleShuffle()" *ngIf="!musicservice.shuffle" ion-button clear style="color:white" icon-only>
        <ion-icon name="ios-shuffle"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: center" class='pbutton'>
      <button (click)="musicservice.prev()" ion-button clear style="color:rgba(225,225,225,1)" icon-only>
        <ion-icon name="skip-backward"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: center;left: 3px;" class='pbutton pplay'>
      <audio-track-play class="small" [audioTrack]="musicservice.audio.tracks[0]" style="font-size: 150%">
      </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: center" class='pbutton'>
      <button (click)="musicservice.next()" ion-button clear style="color:rgba(225,225,225,1)" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-3 style="text-align: center">
      <button (click)="musicservice.toggleRepeat()" *ngIf="musicservice.repeat == 0" ion-button clear style="color:#fff" icon-only>
        <ion-icon name="ios-repeat"></ion-icon>
      </button>

      <button (click)="musicservice.toggleRepeat()" *ngIf="musicservice.repeat == 1" ion-button clear style="color:#faa74a" icon-only>
        <ion-icon name="ios-repeat"></ion-icon>
      </button>

      <button (click)="musicservice.toggleRepeat()" *ngIf="musicservice.repeat == 2" ion-button clear style="color:#faa74a" icon-only>
        1
        <ion-icon name="ios-repeat"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-content>

<ion-footer [hidden]="playlist || md.full">
  <ion-row class='b_bottom'>
    <ion-col col-4 style="text-align: left" class='b_menu'>
      <button (click)="togglePlaylist()" ion-button style="color:white" icon-only>
        <ion-icon [hidden]="playlist" name="list" style="opacity: 0.5"></ion-icon>
        <ion-icon [hidden]="!playlist" name="play" style="opacity: 0.5"></ion-icon>
      </button>
    </ion-col>
    <ion-col col-4 style="text-align: center">
    </ion-col>
    <ion-col col-4 style="text-align: right" class='b_more'>
      <button (click)="action()" ion-button clear style="color:white !important" icon-only>
        <ion-icon name="more"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>

<ion-content [hidden]="!playlist" style="text-align: center">
  <ion-item block clear style="background-color: transparent;color:white">
    <h2 class='nowplaying'>{{ "nowPlaying" | translate }}</h2>
  </ion-item>

  <ion-list no-lines style="background-color: transparent">
    <ion-item *ngFor="let track of musicservice.tracks; let i = index" [hidden]="i != musicservice.current" block clear style="background-color: transparent;color:white"
      (click)="play(i)">
      <ion-avatar item-left>
        <!-- <img src="{{track.art}}" />  -->
        <img-loader useImg class='shadow small' src="{{track.art}}"></img-loader>
      </ion-avatar>
      <h2>{{ track.title }}</h2>
      <p style="color:white">
        {{ track.artist }}
        <span *ngIf="track.collaborations">
          &
          <span *ngFor="let collabo of track.collaborations">
            {{ collabo.name }}</span>
        </span>
        <span *ngIf="track.featuring">ft:
          <span *ngFor="let ft of track.featuring">
            {{ ft.name }}</span>
        </span>
      </p>

      <ion-icon name="play" style="opacity: 0.8;color:#cb356b" item-left></ion-icon>
    </ion-item>
  </ion-list>

  <hr />

  <ion-list no-lines style="background-color: transparent">
    <ion-item *ngFor="let track of musicservice.tracks; let i = index" [hidden]="i == musicservice.current" block clear style="background-color: transparent;color:white"
      (click)="play(i)">
      <ion-avatar item-left>
        <!-- <img src="{{track.art}}" />  -->
        <img-loader useImg class='shadow small' src="{{track.art}}"></img-loader>
      </ion-avatar>
      <h2>{{ track.title }}</h2>
      <p style="color:white">
        {{ track.artist }}
        <span *ngIf="track.collaborations">
          &
          <span *ngFor="let collabo of track.collaborations">
            {{ collabo.name }}</span>
        </span>
        <span *ngIf="track.featuring">ft:
          <span *ngFor="let ft of track.featuring">
            {{ ft.name }}</span>
        </span>
      </p>
    </ion-item>

    <ion-item style="background-color: transparent;color:white"></ion-item>
  </ion-list>
</ion-content>

<ion-footer [hidden]="!playlist" style="background: linear-gradient(to top, rgb(0, 0, 0), rgb(66, 39, 90));">
  <div *ngIf="tracks" style="height: 3px;z-index: 9999;background-color:#faa74a" [style.width.%]="musicservice.progress()"></div>

  <ion-row>
    <!-- //suspect -->
    <ion-col col-8>
      <button ion-button clear block small style="color: white;text-transform: none;padding-top: 12px;
        padding-bottom: 12px;text-transform: none" (click)='back(true)'>
        <div class='marquee'>
          <div>
            <span>{{ musicservice.audio.tracks[0].title }}</span> - {{ musicservice.audio.tracks[0].artist }}
          </div>
          <div>
            <span>{{ musicservice.audio.tracks[0].title }}</span> - {{ musicservice.audio.tracks[0].artist }}
          </div>
        </div>
      </button>
    </ion-col>


    <ion-col col-4 style="text-align: right">
      <audio-track-play light [audioTrack]="musicservice.audio.tracks[0]" style="font-size: 150%">
      </audio-track-play>

      <button (click)="musicservice.next()" small ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>